<?php
/**
 * Template for the accordion preview metabox
 *
 * 
 * @package AdvancedCustomAccordions
 */

// If this file is called directly, abort.
if (!defined('ABSPATH')) {
    exit;
}
?>

<div class="aca-preview-metabox">
    <div class="aca-preview-header">
        <div class="aca-preview-title">
            <h4><?php _e('Live Preview', 'advanced-custom-accordions'); ?></h4>
            <span class="description"><?php _e('Preview updates automatically as you make changes.', 'advanced-custom-accordions'); ?></span>
        </div>
        <button type="button" class="button" id="aca-refresh-preview">
            <span class="dashicons dashicons-update"></span>
            <?php _e('Refresh Preview', 'advanced-custom-accordions'); ?>
        </button>
    </div>

    <div class="aca-preview-wrapper">
        <div id="aca-accordion-preview" class="aca-preview-content">
            <div class="aca-preview-loading">
                <span class="spinner is-active"></span>
                <?php _e('Loading preview...', 'advanced-custom-accordions'); ?>
            </div>
        </div>
    </div>

    <p class="description">
        <?php _e('This preview shows how your accordion will look on the frontend. The actual appearance may vary slightly depending on your theme\'s styles.', 'advanced-custom-accordions'); ?>
    </p>
</div>

<style>
.aca-preview-wrapper {
    padding: 20px;
    background: #fff;
    border: 1px solid #e5e5e5;
    margin: 10px 0;
}

.aca-preview-loading {
    text-align: center;
    padding: 40px 20px;
    color: #666;
}

.aca-preview-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 15px;
}

.aca-preview-title h4 {
    margin: 0 0 5px 0;
}
</style>
<?php