<?php
/**
 * Uninstall script for Advanced Custom Accordions
 *
 * 
 * @package AdvancedCustomAccordions
 */

// If uninstall is not called from WordPress, exit
if (!defined('WP_UNINSTALL_PLUGIN')) {
    exit;
}

// Delete all accordion posts
$accordion_posts = get_posts(array(
    'post_type' => 'aca_accordion',
    'numberposts' => -1,
    'post_status' => 'any'
));

foreach ($accordion_posts as $post) {
    wp_delete_post($post->ID, true);
}

// Delete plugin options
delete_option('aca_settings');
delete_option('aca_version');

// Clean up post meta
global $wpdb;
$wpdb->query("DELETE FROM {$wpdb->postmeta} WHERE meta_key LIKE '_aca_%'");

// Clear any cached data
wp_cache_flush();